## slcfitsio 0.3.2b

=== doc/tm/Makefile ===
# -*- sh -*-
#
# To create the SGML files, you will need to install the tm-utils
# package.  See http://www.jedsoft.org/ for more information.
#
TMEXPAND = /aluche/d1/web/tm-dist/bin/tmexpand
SL2TM = sl2tm
MACRODIR = /aluche/d1/web/tm-dist/macros

MODULE = cfitsio
HLPFUNS_TM = rtl/cfitsiofuns.tm fitsfuns.tm fitswcsfuns.tm
AUTOGEN_TM = fitswcsfuns.tm fitsfuns.tm
MODULE_DEPS = rtl/cfitsiofuns.tm $(AUTOGEN_TM)

TXT_FILES = $(MODULE).txt
SGML_FILES = $(MODULE).sgml
HTML_FILES = $(MODULE).html
TEX_FILES = $(MODULE).tex
PS_FILES = $(MODULE).ps 
PDF_FILES = $(MODULE).pdf
HLP_FILE = $(MODULE).hlp

HLP_TM_FILE = helpfile.tm

SGML2LATEX = sgml2latex -p letter -o tex
SGML2HTML = sgml2html
SGML2TXT = sgml2txt -f
LATEX = latex
PDFLATEX = pdflatex

TEXTDIR = ../text
PSDIR = ../ps
HTMLDIR = ../html
SGMLDIR = ../sgml
PDFDIR = ../pdf
HELPDIR = ../help

SUBDIRS = $(TEXTDIR) $(HTMLDIR) $(PSDIR) $(SGMLDIR) $(PDFDIR) $(HELPDIR)
SRCDIR = `pwd`

all: $(SGML_FILES) $(HTML_FILES) $(TEX_FILES) $(TXT_FILES)
fitsfuns.tm: ../../src/fits.sl
	$(SL2TM) ../../src/fits.sl > fitsfuns.tm
fitswcsfuns.tm: ../../src/fitswcs.sl
	$(SL2TM) ../../src/fitswcs.sl > fitswcsfuns.tm
text-files: $(TXT_FILES)
#----- SGML Files -----------------------------------------------------------
$(MODULE).sgml : $(MODULE).tm $(MODULE_DEPS)
	$(TMEXPAND) -I$(MACRODIR) $(MODULE).tm $(MODULE).sgml
#----- HTML Files -----------------------------------------------------------
$(MODULE).html : $(MODULE).sgml
	$(SGML2HTML) $(MODULE).sgml
#----- TeX Files ------------------------------------------------------------
$(MODULE).tex : $(MODULE).sgml
	$(SGML2LATEX) $(MODULE).sgml
	jed -script ./fixtex.sl $(MODULE).tex
#----- PDF Files -----------------------------------------------------------
$(MODULE).pdf : $(MODULE).tex
	$(MAKE) texclean
	$(PDFLATEX) $(MODULE).tex
	$(PDFLATEX) $(MODULE).tex
	$(PDFLATEX) $(MODULE).tex
#----- PS Files -----------------------------------------------------------
$(MODULE).ps : $(MODULE).tex texclean
	$(LATEX) $(MODULE).tex
	$(LATEX) $(MODULE).tex
	$(LATEX) $(MODULE).tex
	dvips -o $(MODULE).ps $(MODULE).dvi
#----- Text Files -----------------------------------------------------------
$(MODULE).txt: $(MODULE).sgml
	$(SGML2TXT) $(MODULE).sgml
#----------------------------------------------------------------------------
help-files: $(HLP_FILE)
$(HLP_FILE): $(HLP_TM_FILE) $(HLPFUNS_TM)
	$(TMEXPAND) -I$(MACRODIR) $(HLP_TM_FILE) $(HLP_FILE)
texclean:
	-rm -f *.dvi *.log *.aux *.toc *.out
clean: texclean
	-rm -f *~ rtl/*.BAK rtl/*~ *.tmp *-error
distclean: clean
	-rm -f *.html *.ps $(HLP_FILE) $(TXT_FILES) $(TEX_FILES) $(SGML_FILES) $(PDF_FILES) $(AUTOGEN_TM)
install-txt: $(TXT_FILES)
	-mv $(TXT_FILES) ../text
install-help: $(HLP_FILE)
	-mkdir -p $(HELPDIR)
	-mv $(HLP_FILE) $(HELPDIR)
install-all: all install-help install-txt $(PS_FILES) $(PDF_FILES)
	-mkdir -p $(HTMLDIR) $(PSDIR) $(SGMLDIR) $(PDFDIR)
	-mv *.html $(HTMLDIR)
	-mv $(PS_FILES) ../ps
	-mv $(SGML_FILES) ../sgml
	-mv $(PDF_FILES) ../pdf
install: install-txt install-help

## slcfitsio 0.3.8+nosvn

=== doc/tm/Makefile ===
--- 
+++ 
@@ -53,7 +53,7 @@
 #----- TeX Files ------------------------------------------------------------
 $(MODULE).tex : $(MODULE).sgml
 	$(SGML2LATEX) $(MODULE).sgml
-	jed -script ./fixtex.sl $(MODULE).tex
+	./fixtex.sl $(MODULE).tex
 #----- PDF Files -----------------------------------------------------------
 $(MODULE).pdf : $(MODULE).tex
 	$(MAKE) texclean

## slcfitsio 0.4.7~pre.16

=== debian/changelog ===
slcfitsio (0.4.7~pre.16-2) unstable; urgency=medium

  * QA upload.

  * d/control: Drop versioned constraint on jed and slrn in Suggests
  * d/p/honor-cflags-cppflags-ldflags.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Mon, 15 Nov 2021 12:25:44 -0300

slcfitsio (0.4.7~pre.16-1) unstable; urgency=medium

  * QA upload.

  * New upstream version 0.4.7~pre.16
  * d/watch: Consider the upstream pre-release tarballs
  * d/p/fix-spelling.patch: Drop patch (applied upstream)
  * d/p/cfitsio-version.patch: Drop patch (applied upstream)
  * d/p/uint64-unit-test.patch: Drop patch (the issue is fixed in the
    new upstream version)
  * d/copyright: Convert to DEP-5 format
  * d/clean: Remove the leftover directory autoconf/autoconf

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Sep 2021 17:29:02 -0300

slcfitsio (0.3.8+nosvn-6) unstable; urgency=medium

  * QA upload.

  * Create Git repository at Salsa.debian.org.
    The Git repository was created with "gbp import-dscs --debsnap",
    instead of doing archeological work in the Alioth archives. The layout
    of the repository follows the recommendation in DEP-14.
  * d/s/format: Use source format 3.0 (quilt)
  * Bump debhelper compatibility level to 13
    + d/control: Set dependency on debhelper-compat = 13
    + d/compat: Drop file
  * Switch from CDBS to debhelper
    + d/control: Drop the build-dependencies on cdbs and dpkg-dev
    + d/rules: Use the dh sequencer
  * Activate dh_autoreconf
    + d/rules: Move the generated autoconf/configure to the top directory
    + d/control: Drop useless build-dependency on autotools-dev
    + d/autoreconf: New file
    + d/p/update-configure.patch: New patch
    + d/source/options: Ignore the configure file
  * d/control:
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Use secure URI in Homepage field
    + Add Rules-Requires-Root: no
  * d/watch:
    + Bump version to 4 (no changes)
    + Use secure URI
  * d/t/control: Add autopkgtest support
  * d/p/cfitsio-version.patch: New patch (Closes: #994673)
  * d/p/fix-spelling.patch: New patch
  * d/p/uint64-unit-test.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Sep 2021 03:29:59 -0300

slcfitsio (0.3.8+nosvn-5) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group, package has been orphaned.
  * Remove Rafael Laboissiere <rafael@debian.org> from Uploaders. (Closes:
    #571908).
  * Build-depends on libcfitsio-dev instead of libcfitsio3-dev. (Closes:
    #761712)

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 08 May 2015 13:45:33 +0200

slcfitsio (0.3.8+nosvn-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: configure: error: unable to find the cfitsio library and
    header file fitsio.h":
    - debian/rules: tell configure about the multiarch dirs of slang and
      cfitsio
    - debian/control: build depend on those multiarched versions and add a
      versioned build dependency on dpkg-dev
    (Closes: #634557)

 -- gregor herrmann <gregoa@debian.org>  Thu, 03 Nov 2011 23:54:49 +0100

slcfitsio (0.3.8+nosvn-4) unstable; urgency=low

  * debian/control:
    + Build-Depend on autotools-dev, avoiding the Lintian warning
      outdated-autotools-helper-file.
    + Constrain the build-dependency on libslang2-dev to be >= 2.1.0
  * debian/patches/01_define-fneqs.patch: Drop patch, since libslang2,
    version 2.1.0, contains the fneqs function
  * debian/rules: Drop inclusion of simple-patchsys.mk

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 07 Jun 2009 02:54:30 +0200

slcfitsio (0.3.8+nosvn-3) unstable; urgency=low

  * debian/control:
    + The package is now maintained with Git at alioth.debian.org.  Add
      Vcs-Git field and change Vcs-Browser accordingly.
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Bump Standards-Version to 3.8.1 (add debian/README.source file
      explaining the stripping of the .svn directory from the pristine
      tarball)
  * debian/orig-tar.sh: Add script for building the Debian "upstream"
    tarball
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Apr 2009 12:02:33 +0200

slcfitsio (0.3.8+nosvn-2) unstable; urgency=low

  * debian/control:
    + Append trunk/ to the path in Vcs-Svn:, such that
      debcheckout works
    + Bump Standards-Version to 3.8.0 (no changes needed)
  * debian/watch: Remove "+nosvn" from the upstream version number

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 03 Jul 2008 22:16:08 +0200

slcfitsio (0.3.8+nosvn-1) unstable; urgency=low

  * New upstream tarball for version 0.3.8, this time without the .svn
    directories
  * debian/copyright: Add author name and fix the GPL-2 file name
  * debian/rules: Use DEB_MAKE_CHECK_TARGET to run the tests instead of
    using an explicit build rule

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 16 Mar 2008 14:58:05 +0100

slcfitsio (0.3.8-2) unstable; urgency=low

  * debian/control:
    + Added Homepage field
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
    + Dropped the Homepage pseudo-header from the extended description
    + Bumped Standards-Version to 3.7.3

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 05 Dec 2007 12:59:18 +0100

slcfitsio (0.3.8-1) unstable; urgency=low

  * New upstream release
  * debian/control: Added XS-Vcs-Svn and XS-Vcs-Browser fields
  * debian/patches/01_define-fneqs.patch: Added patch containing the
    definition of the fneqs function.  This patch will be removed in the
    future, when slang2 will be released containing this function in its
    core (not yet present in 2.0.7, but already in SVN)

 -- Rafael Laboissiere <rafael@debian.org>  Tue,  1 May 2007 22:32:11 +0200

slcfitsio (0.3.2b-7) unstable; urgency=low



=== debian/control ===
Source: slcfitsio
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libcfitsio-dev (>= 3.280-2),
               libslang2-dev (>= 2.2.4-3),
               slsh
Standards-Version: 4.6.0
Homepage: https://space.mit.edu/cxc/software/slang/modules/cfitsio/
Vcs-Git: https://salsa.debian.org/debian/slcfitsio.git
Vcs-Browser: https://salsa.debian.org/debian/slcfitsio
Rules-Requires-Root: no

Package: slang-cfitsio
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: slsh (>= 2.0) | jed | slrn
Description: read and write FITS files from S-Lang
 The CFITSIO library consists of a set of functions for reading and
 writing FITS (Flexible Image Transport System) files. The S-Lang
 CFITSIO module wraps many of the functions of the CFITSIO library and
 permits one to easily manipulate FITS files from the S-Lang interpreter.

## slcfitsio 0.4.7~pre.17

=== doc/tm/Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 # -*- sh -*-
 #
-# To create the SGML files, you will need to install the tm-utils
+# To create the SGML files, you will need to install the tmexpand
 # package.  See http://www.jedsoft.org/ for more information.
 #
-TMEXPAND = /aluche/d1/web/tm-dist/bin/tmexpand
-SL2TM = sl2tm
-MACRODIR = /aluche/d1/web/tm-dist/macros
+TMEXPAND = tmexpand
+SL2TM = tm-strip
 
 MODULE = cfitsio
 HLPFUNS_TM = rtl/cfitsiofuns.tm fitsfuns.tm fitswcsfuns.tm
@@ -46,7 +45,7 @@
 text-files: $(TXT_FILES)
 #----- SGML Files -----------------------------------------------------------
 $(MODULE).sgml : $(MODULE).tm $(MODULE_DEPS)
-	$(TMEXPAND) -I$(MACRODIR) $(MODULE).tm $(MODULE).sgml
+	$(TMEXPAND) $(MODULE).tm $(MODULE).sgml
 #----- HTML Files -----------------------------------------------------------
 $(MODULE).html : $(MODULE).sgml
 	$(SGML2HTML) $(MODULE).sgml
@@ -72,7 +71,7 @@
 #----------------------------------------------------------------------------
 help-files: $(HLP_FILE)
 $(HLP_FILE): $(HLP_TM_FILE) $(HLPFUNS_TM)
-	$(TMEXPAND) -I$(MACRODIR) $(HLP_TM_FILE) $(HLP_FILE)
+	$(TMEXPAND) $(HLP_TM_FILE) $(HLP_FILE)
 texclean:
 	-rm -f *.dvi *.log *.aux *.toc *.out
 clean: texclean

=== debian/changelog ===
slcfitsio (0.4.7~pre.17-1) unstable; urgency=medium

  * New upstream version 0.4.7~pre.17
  * d/p/honor-cflags-cppflags-ldflags.patch: Drop patch (applied upstream)
  * d/u/metadata: New file
  * d/control:
    + Adopt package (Closes: #748258)
    + Add Multi-Arch: same

 -- Rafael Laboissière <rafael@debian.org>  Wed, 24 Nov 2021 03:43:49 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: slcfitsio
 Section: interpreters
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libcfitsio-dev (>= 3.280-2),
                libslang2-dev (>= 2.2.4-3),
@@ -14,6 +14,7 @@
 
 Package: slang-cfitsio
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: slsh (>= 2.0) | jed | slrn
 Description: read and write FITS files from S-Lang

## slcfitsio 0.4.7~pre.18

=== debian/changelog ===
slcfitsio (0.4.7~pre.18-1) unstable; urgency=medium

  * New upstream version 0.4.7~pre.18
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 19 Aug 2022 11:52:29 -0300

## slcfitsio 0.4.7~pre.19

=== debian/changelog ===
slcfitsio (0.4.7~pre.19-4) unstable; urgency=medium

  * d/watch: Convert to version 5
  * d/rules: Avoid build failure when Makefile is not present (Closes: #1115141)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 16 Sep 2025 02:50:26 -0300

slcfitsio (0.4.7~pre.19-3) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Mon, 08 Sep 2025 00:15:54 -0300

slcfitsio (0.4.7~pre.19-2) experimental; urgency=medium

  * d/p/make-shuffle.patch: New patch (Closes: #1105710)
  * d/rules:
    + Avoid race condition in dh_auto_clean
    + Drop unnecessary --no-parallel option
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 17 May 2025 17:03:10 -0300

slcfitsio (0.4.7~pre.19-1) unstable; urgency=medium

  * New upstream version 0.4.7~pre.19

 -- Rafael Laboissière <rafael@debian.org>  Fri, 26 Aug 2022 06:56:47 -0300

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
                libcfitsio-dev (>= 3.280-2),
                libslang2-dev (>= 2.2.4-3),
                slsh
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://space.mit.edu/cxc/software/slang/modules/cfitsio/
 Vcs-Git: https://salsa.debian.org/debian/slcfitsio.git
 Vcs-Browser: https://salsa.debian.org/debian/slcfitsio
-Rules-Requires-Root: no
 
 Package: slang-cfitsio
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
	
%:
	dh $@

export AUTOHEADER = true
execute_after_dh_autoreconf:
	mv autoconf/configure .

override_dh_auto_build:
	dh_auto_build -- RPATH=

override_dh_auto_install:
	dh_auto_install -- datarootdir=/usr/share

override_dh_auto_test:
	dh_auto_test -- -C src

execute_before_dh_auto_clean:
	-test -f Makefile && touch Makefile

=== debian/tests/control ===
Test-Command: make -f Makefile.in -C src test
Depends: @, slsh
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Source: https://www.jedsoft.org/snapshots/
Matching-Pattern: https://www.jedsoft.org/snapshots/slcfitsio-pre(.*).tar.gz
Uversionmangle: s/-/~pre./
